Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Labeling
Target version: 2.1.0-2219-testing
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Para reproducir el error:

- Abrir una capa de base de datos.
- Ponerle un etiquetado basado en tabla
- Poner la capa en edición
- Intentar crear una feature nueva

Salta una NullPointerException porque en el método getTextWrappingShape de la clase SimpleTextSymbol se llama a 
createGlyphVector sin tener en cuenta que el parámetro txt puede ser null.

Con los shapes no ocurre nada porque, al crear una feature nueva, la variable txt vale "".

History
#1 - 01/27/2014 04:03 PM - Álvaro Anguix
- Category set to Database
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2223-rc1
- Operative System set to Linux

#2 - 01/27/2014 05:51 PM - Joaquín  del Cerro Murciano
- Category changed from Database to Labeling

Ojo, que el problema no es que la BBDD devuelva un nulo, la BBDD soporta nulos asi que puede devolverlos, un dbf no los soporta y por eso
devuelve cadena vacia. 
Donde se use el valor debe tenerse en cuenta que puede ser null.

#3 - 01/31/2014 12:06 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2219-testing

#4 - 02/03/2014 09:54 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
Preventing the use of 'null' in 'text' field.

gvsig-desktop:r41124

#5 - 02/19/2014 10:14 AM - Álvaro Anguix
- Status changed from Fixed to Closed
